plugins {
	id 'eclipse'
	id 'java'
	id 'war'
	id 'org.springframework.boot' version '3.3.0'
	id 'io.spring.dependency-management' version '1.1.5'
}

group = 'com.bernard'
version = '0.0.1-SNAPSHOT'

java {
	toolchain {
		languageVersion = JavaLanguageVersion.of(17)
	}
}

repositories {
	mavenCentral()
}

dependencies {
	implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
	implementation 'org.springframework.boot:spring-boot-starter-web'
	developmentOnly 'org.springframework.boot:spring-boot-devtools'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
	
	implementation 'org.yaml:snakeyaml:2.2'
	implementation 'org.ojalgo:ojalgo:54.0.0'
	implementation 'com.fasterxml.jackson.core:jackson-databind:2.17.1'
}

tasks.named('test') {
	useJUnitPlatform()
}
